All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.search
Class SearchFactory

    com.sas.services.information.search.SearchFactory

    public class SearchFactory

Constructor Summary
`SearchFactory()`

Method Summary
`static Search` | `createSearch(ServerInterface server)`
`static SearchFolder` | `createSearchFolder(java.lang.String name, FolderInterface folder)`
`static SearchFolder` | `createSearchFolder(java.lang.String name, FolderInterface folder, Search search)`

Constructor Detail

### SearchFactory

    public SearchFactory()

Method Detail

### createSearch

    public static Search createSearch(ServerInterface server)
                               throws ServiceException,
                                      java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### createSearchFolder

    public static SearchFolder createSearchFolder(java.lang.String name,
                                                  FolderInterface folder)
                                           throws ServiceException,
                                                  java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### createSearchFolder

    public static SearchFolder createSearchFolder(java.lang.String name,
                                                  FolderInterface folder,
                                                  Search search)
                                           throws ServiceException,
                                                  java.rmi.RemoteException

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.